Package io.vertx.reactivex.ext.unit

## Class TestCase

- java.lang.Object
- - io.vertx.reactivex.ext.unit.TestCase

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class TestCase
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A test case object can be used to create a single test.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<TestCase>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestCase​(TestCase delegate)` |
    `TestCase​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TestCase` | `create​(String name, Handler<TestContext> testCase)` | Create a test case.
    `boolean` | `equals​(Object o)` |
    `TestCase` | `getDelegate()` |
    `int` | `hashCode()` |
    `static TestCase` | `newInstance​(TestCase arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TestCase> __TYPE_ARG

  - ### Constructor Detail

    - #### TestCase

          public TestCase​(TestCase delegate)

    - #### TestCase

          public TestCase​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TestCase getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static TestCase create​(String name,
                                        Handler<TestContext> testCase)

      Create a test case.
      Parameters:
        `name` - the test case name
        `testCase` - the test case
      Returns:
        the created test case

    - #### newInstance

          public static TestCase newInstance​(TestCase arg)